Subscribe 210

Very Simple Anti Bot Registration

This modification adds a simple question to the registration form.

Detailed description:

The question is obtained randomly from a text list which also contains the numerical responses.
The questions are of the form: "What is two plus two" and all responses are of primary school level.
This kind of "captcha" is compatible with the visually impaired users.
You can write your own questions and answers in the language file :
lang/your_language/mod_very_simple_antibot.php
Questions may be different depending on the languages.

  • Modification downloads: 23525
  • Released: 2010-07-26

Recent version

  • Supports FluxBB: 1.5.9, 1.5.8, 1.5.7, 1.5.6, 1.5.5, 1.5.4, 1.5.3, 1.5.2, 1.5.1, 1.5.0, 1.5-beta, 1.4.8, 1.4.7, 1.4.6

History

Version 1.5.14

Version 1.5.14 - November 10 2015
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2,
1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7, 1.5.8, 1.5.9
Needs "Mod Installer" 1.0.6 to 1.0.18 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR
--- Uninstall previous version BEFORE installing this one

  • 596 downloads
  • 2015-11-10

Version 1.5.13

Version 1.5.13 - January 23 2015
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7, 1.5.8
Needs "Mod Installer" 1.0.6 to 1.0.17 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR
--- Uninstall previous version BEFORE installing this one

  • 930 downloads
  • 2015-01-24

Version 1.5.12

Version 1.5.12 - October 20 2014
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6, 1.5.7
Needs "Mod Installer" 1.0.6 to 1.0.16 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR
--- Uninstall previous version BEFORE installing this one

  • 623 downloads
  • 2014-10-20

Version 1.5.11

Version 1.5.11 - March 29 2014
- Added automatic upper case for text answer.
Can be disabled BEFORE install in plugins\vsabr\search_insert.php
Needs "Mod Installer" 1.0.6 to 1.0.15 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR
--- Uninstall previous version BEFORE installing this one

  • 1303 downloads
  • 2014-03-29

Version 1.5.10

Version 1.5.10 - January 09 2014
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5, 1.5.6
Needs "Mod Installer" 1.0.6 to 1.0.15 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR
---
All mods installed by Mod Installer must be uninstalled before updating to a new version of FluxBB.

  • 919 downloads
  • 2014-01-09

Version 1.5.9

Version 1.5.9 - November 18 2013
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4, 1.5.5
Needs "Mod Installer" 1.0.6 to 1.0.14 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR
---
All mods installed by Mod Installer must be uninstalled before updating to a new version of FluxBB.

  • 811 downloads
  • 2013-11-18

Version 1.5.8

Version 1.5.8 - August 15 2013
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3, 1.5.4
Needs "Mod Installer" 1.0.6 to 1.0.13 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 885 downloads
  • 2013-08-15

Version 1.5.7

Version 1.5.7 - February 23 2013
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2, 1.5.3
Needs "Mod Installer" 1.0.6 to 1.1.12 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 1452 downloads
  • 2013-02-23

Version 1.5.6-a

Version 1.5.6-a - Same as 1.5.6 but with good files:
plugins/vsabr/mod_config.php
plugins/vsabr/search_insert.php
If you have installed 1.5.6, replace this two files by the new ones
-----------------------------------------------------
Version 1.5.6 - January 11 2013
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1, 1.5.2
Needs "Mod Installer" 1.0.6 to 1.1.11 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 969 downloads
  • 2013-01-12

Version 1.5.5

Version 1.5.5 - November 14 2012
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0, 1.5.1
Needs "Mod Installer" 1.0.6, 1.0.7, 1.0.8, 1.0.9 or 1.1.10 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 1086 downloads
  • 2012-11-14

Version 1.5.4

Version 1.5.4 - May 07 2012
For FluxBB 1.4.6, 1.4.7, 1.4.8, 1.5.0
Needs "Mod Installer" 1.0.6 or 1.0.7 or 1.0.8 or 1.0.9 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 1724 downloads
  • 2012-05-08

Version 1.5.3

Version 1.5.3 - January 08 2012
For FluxBB 1.4.6, 1.4.7, 1.4.8
- Improved security against BOT (Thanks to Quy)
Needs "Mod Installer" 1.0.6 or 1.0.7 or 1.0.8 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 1407 downloads
  • 2012-01-07

Version 1.5.2

Version 1.5.2 - January 07 2012
For FluxBB 1.4.6, 1.4.7, 1.4.8
Needs "Mod Installer" 1.0.6 or 1.0.7 or 1.0.8 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 828 downloads
  • 2012-01-06

Version 1.5.1

Version 1.5.1 - September 14 2011
For FluxBB 1.4.6, 1.4.7
Needs "Mod Installer" 1.0.7 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 1340 downloads
  • 2011-09-14

Version 1.5.0

Version 1.5.0 - August 15 2011
For FluxBB 1.4.6 Only
Needs "Mod Installer" 1.0.6 to be installed
Compatible with mod RMO (Reverse Message Order)
RMO must be installed before VSABR

  • 964 downloads
  • 2011-08-14

Version 1.4.5

Version 1.4.5 - March 24 2011
OK for FluxBB 1.4.5
Needs plugin "Mod Installer" to be installed
Plugin file AP_VS_Anti_Bot_Registration.php must be removed as it does not work anymore.
The lang/your_language/mod_very_simple_antibot.php file is modified very slightly and only for the string $lang_mod_vsabr['robot info']
---------------------------------------------
To use this new version, it is mandatory to first manually uninstall the mod if it was installed by the previous procedure (1.0 to 1.1.1).
If you installed with the plugin AP_VS_Anti_Bot_Registration.php, you must uninstall it via the plugin before installing the new version. Then you must remove the plugin AP_VS_Anti_Bot_Registration.php

  • 1473 downloads
  • 2011-03-23

Version 1.4.4

Version 1.4.4 - February 12 2011
The installation procedure is replaced by a "plugin " only accessible by the administrator. The files are automatically modified or un-modified by Install or Uninstall button.
To use this new version, it is mandatory to first manually uninstall the mod if it was installed by the previous procedure.
The lang/your_language/mod_very_simple_antibot.php files are not modified from previous versions.

  • 1300 downloads
  • 2011-02-11

Version 1.1.1

## Version 1.1.1 - January 24 2011
## -- No changes - Added : Works on FluxBB 1.4.3

  • 1041 downloads
  • 2011-01-24

Version 1.1.0

## Version 1.1.0 - October 18 2010
## -- No changes without the option for guests posting
## Add new string in languages files
## Optional: Possibility to add the captcha text to anonymous postings from guests.

  • 1373 downloads
  • 2010-10-18

Version 1.0.1

## Version 1.0.1 - August 9 2010 - No change
## Readme indicates: compatible with FluxBB 1.4.2

  • 1366 downloads
  • 2010-08-09

Version 1.0

Initial release.

  • 1122 downloads
  • 2010-07-26